[patch] www/p5-Dancer outdated dependencies

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

[patch] www/p5-Dancer outdated dependencies

Liviu Daia-3
    Dancer now requires Module::Runtime.  I found that out trying to run
ports-readmes-dancer. :)

    Regards,

    Liviu Daia

Index: Makefile
===================================================================
RCS file: /cvs/ports/www/p5-Dancer/Makefile,v
retrieving revision 1.5
diff -u -p -r1.5 Makefile
--- Makefile 28 Mar 2015 22:05:59 -0000 1.5
+++ Makefile 21 May 2015 13:57:58 -0000
@@ -11,6 +11,7 @@ PERMIT_PACKAGE_CDROM = Yes
 
 RUN_DEPENDS = devel/p5-Hash-Merge-Simple \
  devel/p5-Try-Tiny \
+ devel/p5-Module-Runtime \
  mail/p5-MIME-Types \
  www/p5-HTTP-Body \
  www/p5-HTTP-Server-Simple-PSGI

Reply | Threaded
Open this post in threaded view
|

Re: [patch] www/p5-Dancer outdated dependencies

Jeremie Courreges-Anglas-2
Liviu Daia <[hidden email]> writes:

>     Dancer now requires Module::Runtime.  I found that out trying to run
> ports-readmes-dancer. :)

Yup.

Hints for future patches:
- changing RUN_DEPENDS means you have to bump REVISION
- always mail the MAINTAINER of the port.  This is particularly
  important with grumpy frogs.

Cheers,

Index: Makefile
===================================================================
RCS file: /cvs/ports/www/p5-Dancer/Makefile,v
retrieving revision 1.5
diff -u -p -r1.5 Makefile
--- Makefile 28 Mar 2015 22:05:59 -0000 1.5
+++ Makefile 21 May 2015 15:39:07 -0000
@@ -4,6 +4,7 @@ COMMENT = simple perl web app framework
 
 MODULES = cpan
 DISTNAME = Dancer-1.3134
+REVISION = 0
 CATEGORIES = www
 
 # perl
@@ -11,6 +12,7 @@ PERMIT_PACKAGE_CDROM = Yes
 
 RUN_DEPENDS = devel/p5-Hash-Merge-Simple \
  devel/p5-Try-Tiny \
+ devel/p5-Module-Runtime \
  mail/p5-MIME-Types \
  www/p5-HTTP-Body \
  www/p5-HTTP-Server-Simple-PSGI


--
jca | PGP : 0x1524E7EE / 5135 92C1 AD36 5293 2BDF  DDCC 0DFA 74AE 1524 E7EE

Reply | Threaded
Open this post in threaded view
|

Re: [patch] www/p5-Dancer outdated dependencies

Liviu Daia-3
On 21 May 2015, Jérémie Courrèges-Anglas <[hidden email]> wrote:

> Liviu Daia <[hidden email]> writes:
>
> >     Dancer now requires Module::Runtime.  I found that out trying to
> > run ports-readmes-dancer. :)
>
> Yup.
>
> Hints for future patches:
> - changing RUN_DEPENDS means you have to bump REVISION
> - always mail the MAINTAINER of the port.  This is particularly
>   important with grumpy frogs.
[...]

    Yes, I would have done that, but if there is a maintainer mentioned
for that particular port, it's pretty well hidden. ;)

    Regards,

    Liviu Daia

Reply | Threaded
Open this post in threaded view
|

Re: [patch] www/p5-Dancer outdated dependencies

Amit Kulkarni-5
On Thu, May 21, 2015 at 11:11 AM, Liviu Daia <[hidden email]> wrote:

> On 21 May 2015, Jérémie Courrèges-Anglas <[hidden email]> wrote:
> > Liviu Daia <[hidden email]> writes:
> >
> > >     Dancer now requires Module::Runtime.  I found that out trying to
> > > run ports-readmes-dancer. :)
> >
> > Yup.
> >
> > Hints for future patches:
> > - changing RUN_DEPENDS means you have to bump REVISION
> > - always mail the MAINTAINER of the port.  This is particularly
> >   important with grumpy frogs.
> [...]
>
>     Yes, I would have done that, but if there is a maintainer mentioned
> for that particular port, it's pretty well hidden. ;)
>
>     Regards,
>
>     Liviu Daia
>
>
You have to read the commits to see who made the most of them, and they are
then considered to be "maintainers", or at least interested enough to
commit the port :)
Reply | Threaded
Open this post in threaded view
|

Re: [patch] www/p5-Dancer outdated dependencies

Jeremie Courreges-Anglas-2
In reply to this post by Liviu Daia-3
Liviu Daia <[hidden email]> writes:

> On 21 May 2015, Jérémie Courrèges-Anglas <[hidden email]> wrote:
>> Liviu Daia <[hidden email]> writes:
>>
>> >     Dancer now requires Module::Runtime.  I found that out trying to
>> > run ports-readmes-dancer. :)
>>
>> Yup.
>>
>> Hints for future patches:
>> - changing RUN_DEPENDS means you have to bump REVISION
>> - always mail the MAINTAINER of the port.  This is particularly
>>   important with grumpy frogs.
> [...]
>
>     Yes, I would have done that, but if there is a maintainer mentioned
> for that particular port, it's pretty well hidden. ;)

Hehe, I mixed up p5-Dancer and ports-readmes-dancer.

Diff committed.

Thanks,
--
jca | PGP : 0x1524E7EE / 5135 92C1 AD36 5293 2BDF  DDCC 0DFA 74AE 1524 E7EE